Subject: bug#22514: emacs INFO pages have "?"s instead of "'"s

From: myglc2 <[email-masked]>
Date: Sun, 31 Jan 2016 22:21:48 -0500

In emacs INFO pages, single quotes "'" appear as question marks "?" and
'echo $LANG' returns a blank line.

I am running guixSD on a headless server & logging in via the iTerm2
terminal emulator running on Max OS X... e.g. 'ssh' & 'emacs -nw'

When I log into an identical server running Debian 8, emacs INFO "'"
quotes are normal and 'echo $LANG' returns "en_US.UTF-8".

ITerm is set to UTF-8 and xterm-256color.

I am running the configuration shown below built earlier today as shown
further below.

Note: I also tried the alternate form, '(locale "en_US.utf8")', which is
commented out in the config, and observed the same behavior.

Many Thanks - George

config.9.scm:
vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
;; This is an operating system configuration template
;; for a "bare bones" setup, with no X11 display server.

(use-modules (gnu))
(use-service-modules networking ssh)
(use-package-modules admin)
(use-package-modules disk ssh rsync wget screen)
(use-package-modules emacs)
(use-package-modules guile)
(use-package-modules version-control)
(use-package-modules graphviz)

(operating-system
  (host-name "g1")
  (timezone "America/New_York")
  (locale "en_US.UTF-8")
  ;; (locale "en_US.utf8")

  ;; Assuming /dev/sdX is the target hard disk, and "root" is
  ;; the label of the target root file system.
  (bootloader (grub-configuration (device "/dev/sda")))
  (file-systems (cons (file-system
                        (device "g1sd")
                        (title 'label)
                        (mount-point "/")
                        (type "ext4"))
                      %base-file-systems))

  ;; This is where user accounts are specified.  The "root"
  ;; account is implicit, and is initially created with the
  ;; empty password.
  (users (cons (user-account
                (name "glc")
                (comment "g l c")
                (group "users")

                ;; Adding the account to the "wheel" group
                ;; makes it a sudoer.  Adding it to "audio"
                ;; and "video" allows the user to play sound
                ;; and access the webcam.
                (supplementary-groups '("wheel"
                                        "audio" "video"))
                (home-directory "/home/glc"))
               %base-user-accounts))

  ;; Globally-installed packages.
  (packages (cons*
	     glibc-utf8-locales
	     parted
	     openssh
	     rsync
	     wget
	     screen
	     emacs
	     ;; emacs-flycheck
	     emacs-w3m geiser git-modes guile-emacs guile-for-guile-emacs magit paredit
	     git git-manpages magit
	     graphviz
	     %base-packages
	     )
	    )

  ;; Add services to the baseline: a DHCP client and
  ;; an SSH server.
  (services (cons* (dhcp-client-service)
                   (lsh-service #:port-number 22)
                   %base-services)))
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

root@g1 ~# guix pull

Starting download of /tmp/guix-file.wq8eGI
>From http://git.savannah.gnu.org/cgit/guix.git/snapshot/master.tar.gz...
 master.tar.gz                               1.8MiB/s 00:05 | 9.7MiB transferred
unpacking '/gnu/store/z7fyrgm8f03ns5ils40cw0p1480ddh99-guix-latest.tar.gz'...
Guix already up to date
root@g1 ~# guix system reconfigure config.9.scm
substitute: updating list of substitutes from 'http://hydra.gnu.org'... 100.0%
The following derivation will be built:
   /gnu/store/s70k68pvgnc72vzbqldfns0qinh4563k-grub.cfg.drv
/gnu/store/gla18i7ii7krc548j0yskg834i6d8fxv-system
/gnu/store/wx2piqvbys781q2k4f2k6gpjp0dpf2xb-grub.cfg
/gnu/store/6jdnd5c830qggwdmrkfl6kgz79jxymzy-grub-2.00
activating system...
setting up setuid programs in '/run/setuid-programs'...
populating /etc from /gnu/store/z9c8lfifwbgcwrlsvhr10s6vjbnkjz43-etc...
usermod: no changes
usermod: no changes
usermod: no changes
making '/gnu/store/gla18i7ii7krc548j0yskg834i6d8fxv-system' the current system...
Installation finished. No error reported.
root@g1 ~# exit
exit

Process shell finished